PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_ztradd | ( | PLASMA_enum | uplo,
|  | PLASMA_enum | trans,
|  | int | M,
|  | int | N,
|  | PLASMA_Complex64_t | alpha,
|  | PLASMA_Complex64_t * | A,
|  | int | LDA,
|  | PLASMA_Complex64_t | beta,
|  | PLASMA_Complex64_t * | B,
|  | int | LDB
| ) |  |

PLASMA_ztradd - Performs a matrix addition similarly to the pztradd() function from the PBLAS library:

\[ C = \alpha op( A ) + \beta B \]

,

where op( X ) is one of

op( X ) = X or op( X ) = X' or op( X ) = conjg( X' )

alpha and beta are scalars, and A, and B are two trapezoidal matrices, with op( A ) and B two m by n matrices.

Parameters

  [in] | uplo | Specifies the shape of A and B matrices: = PlasmaUpperLower: A and B are general matrices. = PlasmaUpper: op(A) and B are upper trapezoidal matrices. = PlasmaLower: op(A) and B are lower trapezoidal matrices.
  [in] | trans | Specifies whether the matrix A is transposed, not transposed or conjugate transposed: = PlasmaNoTrans: A is not transposed; = PlasmaTrans: A is transposed; = PlasmaConjTrans: A is conjugate transposed.
  [in] | M | M specifies the number of rows of the matrix op( A ) and of the matrix B. M >= 0.
  [in] | N | N specifies the number of columns of the matrix op( A ) and of the matrix B. N >= 0.
  [in] | alpha | alpha specifies the scalar alpha
  [in] | A | A is a LDA-by-ka matrix, where ka is N when trans = PlasmaNoTrans, and is M otherwise.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,K), where K is M when trans = PlasmaNoTrans, and is N when otherwise.
  [in] | beta | beta specifies the scalar beta
  [in,out] | B | B is a LDB-by-N matrix.
  [in] | LDB | The leading dimension of the array B. LDB >= max(1,M).

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_ztradd_Tile
  PLASMA_ctradd
  PLASMA_dtradd
  PLASMA_stradd